SEARCH

How-To Geek

Check Extension Compatibility for Upcoming Firefox Releases

Do you get stressed out wondering if your favorite extensions will be compatible with the next Firefox release? Now you will be able to easily see what is compatible and what is not with just a glance using the “Is It Compatible?” extension for Firefox.

Before

Here is a look at the “Add-ons Manager Window” for our Firefox install. Not much in the way of details and certainly no easy way to determine if all of the extensions will be compatible with an upcoming release. A person could check for compatibility issues the hard way by going to the Mozilla Add-ons page for each…

is-it-compatible-01

After

As soon as you have installed the extension there is a very important bit of information added to each entry. You can easily see what versions of Firefox that each extension is compatible with. No more “wondering if”… A “manual compatibility check button” will also be added at the bottom of the window (but can be removed in the “Options”).

is-it-compatible-02

Options

The options are extremely simple…decide if you want to have automatic compatibility checking enabled and whether you would like to have the “manual check button” displayed or not.

Note: The “Options Window” will have “Favmarks Preferences” as the title so do not be surprised when you see it.

is-it-compatible-03

Conclusion

If you are wanting an easy way to know if your favorite extensions are compatible with an upcoming Firefox release then it does not get much easier than this.

Links

Download the Is It Compatible? extension (Mozilla Add-ons)

Akemi Iwaya (Asian Angel) is our very own Firefox Fangirl who enjoys working with multiple browsers and loves 'old school' role-playing games. Visit her on Twitter and .

  • Published 02/5/10

Comments (5)

  1. Jakeu1701

    Shouldn’t this be a bug/enhancement reported to Mozilla instead of yet another pulgin that will slow down the browser?

  2. Scarlett

    Excellent, thanks for this! Because I’m still clinging to my Google Notebook, which Google has stopped supporting, I’ve had to hack the Firefox about:config so it would allow an older extension to run on newer versions of Firefox. But having this little add-on will be great for ensuring that plugins that are still actively updated are, in fact, up to date. Installing now!

  3. Gina

    When Microsoft sends updates, what is the best way to know what they are and if they could be bad for my computer?

  4. Elizabeth

    this is awespme because not all addon creators make it a point to let us know that
    the addon will not function with Firefox’s new version (it happened to me) leaving us
    to wonder why the addon crashed or stopped working.

    After using quite a few browsers, Firefox seems to be the one for me at this time
    and this addon gives me a better sense of ease knowing my addons are compatible
    or having to remove the ones that will not be.

    I can’t thank you enough HTG for continuing to provide me with the
    technology out there that I would probably not have known of otherwise !! You guys
    rock !

    xoxo

  5. roger

    Does anyone else find it ironic that Is It Compatible is not compatible with Firefox 4.
    Nevertheless a useful add-on, thanks.

Enter Your Email Here to Get Access for Free:

Go check your email!